Subject: RE: [Entmib] entstate-648 Wordsmith - various (I, J, K, L, M, N )

From: "Sharon Chisholm" <[email-masked]>
Date: Thu, 16 Dec 2004 07:44:47 -0500

hi

I had a typo. I meant this:

> When the 'value of underRepair' is set, the resource is currently 
> being repaired, which depending on the implementation, may make the 
> other values in this bit string not meaningful."

Sharon

-----Original Message-----
From: Juergen Schoenwaelder [mailto:[email-masked]] On Behalf Of
Juergen Schoenwaelder
Sent: Thursday, December 16, 2004 6:22 AM
To: Chisholm, Sharon [CAR:5K50:EXCH]
Cc: [email-masked]
Subject: Re: [Entmib] entstate-648 Wordsmith - various (I, J, K, L, M, N )

On Wed, Dec 15, 2004 at 01:50:24PM -0500, Sharon Chisholm wrote:
 
> When the 'value of underRepair' is set, the resource is currently 
> being repaired, which depending on the implementation, may make the 
> other values in this bit string meaningful."

Something like "may make the other values in this bit string meaningful"
scares me a bit. Is there any way to find out whether the bits are
meaningful, other than knowing the object implementor and having a beer with
her?

What about this (although it does not change the general situation):

  When the 'value of underRepair' is set, the resource is
  currently being repaired. In this situation, it is 
  implementation specific whether the other values in this 
  bit string are meaningful.

(This just avoids the "make meaningful" phrase, which kind of 
 implies that before the transition into underRepair the bits 
 were not meaningful, which I think is not necessarily true.)

/js

-- 
Juergen Schoenwaelder		    International University Bremen
<http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 28725 Bremen, Germany

_______________________________________________
Entmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/entmib